<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Javascript Buổi 1</title>

    <!-- font awesome -->
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css"
      integrity="sha512-KfkfwYDsLkIlwQp6LFnl8zNdLGxu9YAA1QvwINks4PhcElQSvqcyVLLD9aMhXd13uQjoXtEKNosOWaZqXgel0g=="
      crossorigin="anonymous"
      referrerpolicy="no-referrer"
    />

    <!-- font nunito -->
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=Nunito:wght@300;400;500;600;700;800;900&display=swap"
      rel="stylesheet"
    />

    <!-- my css -->
    <link rel="stylesheet" href="./assets/css/main.css" />
  </head>
  <body>
    <div class="header">
      <div class="header_nav">
        <ul class="header_nav-list">
          <li class="header_nav-item">
            <a href="#exercise-1">
              <p>Ex1</p>
              <span class="icon"><i class="icon-1 fa-solid fa-1"></i></span>
            </a>
          </li>
          <li class="header_nav-item">
            <a href="#exercise-2">
              <p>Ex2</p>
              <span class="icon"><i class="icon-2 fa-solid fa-2"></i></span>
            </a>
          </li>
          <li class="header_nav-item">
            <a href="#exercise-3">
              <p>Ex3</p>
              <span class="icon"><i class="icon-3 fa-solid fa-3"></i></span>
            </a>
          </li>
          <li class="header_nav-item">
            <a href="#exercise-4">
              <p>Ex4</p>
              <span class="icon"><i class="icon-4 fa-solid fa-4"></i></span>
            </a>
          </li>
          <li class="header_nav-item">
            <a href="#exercise-5">
              <p>Ex5</p>
              <span class="icon"><i class="icon-5 fa-solid fa-5"></i></span>
            </a>
          </li>
        </ul>
      </div>
    </div>

    <div id="exercise-1" class="exercise-1 exercise exercise-1_bg">
      <div class="excercise-1_content exercise_content">
        <h1>Tính tiền lương nhân viên</h1>
        <div class="form">
          <div class="form-group">
            <label for="salary">Tiền lương theo ngày (VND)</label>
            <input
              type="number"
              class="form-control"
              id="salary"
              placeholder="500000"
            />
          </div>
          <div class="form-group">
            <label for="work-day">Số ngày làm việc</label>
            <input
              type="number"
              class="form-control"
              id="work-day"
              placeholder="20"
            />
          </div>

          <div class="form-group">
            <label for="result-ex1">Kết quả</label>
            <p id="result-ex1"></p>
          </div>
          <button onclick="tinhLuong()">
            Tính tiền lương
            <i class="fa-solid fa-sack-dollar"></i>
          </button>
        </div>
      </div>
    </div>

    <div id="exercise-2" class="exercise-2 exercise exercise-2_bg">
      <div class="excercise-2_content exercise_content">
        <h1>Tính trung bình 5 số thực</h1>
        <div class="form">
          <div class="form-group">
            <label for="sothuc1">Số thực 1</label>
            <input
              type="number"
              class="form-control"
              id="sothuc1"
              placeholder="1"
            />
          </div>
          <div class="form-group">
            <label for="sothuc2">Số thực 2</label>
            <input
              type="number"
              class="form-control"
              id="sothuc2"
              placeholder="2"
            />
          </div>
          <div class="form-group">
            <label for="sothuc3">Số thực 3</label>
            <input
              type="number"
              class="form-control"
              id="sothuc3"
              placeholder="3"
            />
          </div>
          <div class="form-group">
            <label for="sothuc4">Số thực 4</label>
            <input
              type="number"
              class="form-control"
              id="sothuc4"
              placeholder="4"
            />
          </div>
          <div class="form-group">
            <label for="sothuc5">Số thực 5</label>
            <input
              type="number"
              class="form-control"
              id="sothuc5"
              placeholder="5"
            />
          </div>
          <div class="form-group">
            <label for="result-ex2">Kết quả</label>
            <p id="result-ex2"></p>
          </div>
          <button class="exercise-2_btn" onclick="tinhTrungBinh()">
            Tính trung bình
            <i class="exercise-2_icon fa-solid fa-divide"></i>
          </button>
        </div>
      </div>
    </div>

    <div id="exercise-3" class="exercise-3 exercise exercise-3_bg">
      <div class="excercise-3_content exercise_content">
        <h1>Đổi tiền từ USD sang VND</h1>
        <div class="form">
          <div class="form-group">
            <label for="usd">Số tiền (USD)</label>
            <input
              type="number"
              class="form-control"
              id="usd"
              placeholder="5"
            />
          </div>
          <div class="form-group">
            <label for="result-ex3">Kết quả (VND)</label>
            <p id="result-ex3"></p>
          </div>
          <button class="exercise-3_btn" onclick="doiTien()">
            Đổi tiền (VND)
            <i class="exercise-3_icon fa-solid fa-money-bill-transfer"></i>
          </button>
        </div>
      </div>
    </div>

    <div id="exercise-4" class="exercise-4 exercise exercise-4_bg">
      <div class="excercise-4_content exercise_content">
        <h1>
          Tính chu vi và diện tích <br />
          hình chữ nhật
        </h1>
        <div class="form exercise-4_form">
          <div class="form-group">
            <label for="chieudai">Chiều dài</label>
            <input
              type="number"
              class="form-control"
              id="chieudai"
              placeholder="50"
            />
          </div>
          <div class="form-group">
            <label for="chieurong">Chiều rộng</label>
            <input
              type="number"
              class="form-control"
              id="chieurong"
              placeholder="20"
            />
          </div>
          <div class="form-group">
            <label for="result-ex4">Kết quả</label>
            <p id="result-ex4"></p>
          </div>
          <div class="exercise-4_btn_wrap">
            <button class="exercise-4_btn" onclick="tinhChuVi()">
              Chu vi
              <i class="exercise-4_icon fa-solid fa-calculator"></i>
            </button>
            <button class="exercise-4_btn" onclick="tinhDienTich()">
              Diện tích
              <i class="exercise-4_icon fa-solid fa-calculator"></i>
            </button>
          </div>
        </div>
      </div>
    </div>

    <div id="exercise-5" class="exercise-5 exercise exercise-5_bg">
      <div class="excercise-5_content exercise_content">
        <h1>Tính tổng 2 ký số</h1>
        <div class="form">
          <div class="form-group">
            <label for="number">Nhập số </label>
            <input
              type="number"
              min="10"
              max="99"
              class="form-control"
              id="number"
              placeholder="10 - 99"
              required
            />
          </div>

          <div class="form-group">
            <label for="result-ex5">Kết quả</label>
            <p id="result-ex5"></p>
          </div>
          <button class="exercise-5_btn" onclick="congKySo()">
            Kết quả
            <i class="exercise-5_icon fa-solid fa-calculator"></i>
          </button>
        </div>
      </div>
    </div>

    <script src="./assets/js/ex1.js"></script>
    <script src="./assets/js/ex2.js"></script>
    <script src="./assets/js/ex3.js"></script>
    <script src="./assets/js/ex4.js"></script>
    <script src="./assets/js/ex5.js"></script>
  </body>
</html>
